Index: trunk/abdev/BasicCompiler32/Compile_Func.cpp
===================================================================
--- trunk/abdev/BasicCompiler32/Compile_Func.cpp	(revision 206)
+++ trunk/abdev/BasicCompiler32/Compile_Func.cpp	(revision 225)
@@ -33,5 +33,5 @@
 	if( resultType.IsDouble() ){
 		//fld qword ptr[esp]
-		op_fld_ptr_esp(DEF_DOUBLE);
+		compiler.codeGenerator.op_fld_ptr_esp(DEF_DOUBLE);
 
 		//fnstcw word ptr[esp]
@@ -76,12 +76,12 @@
 
 		//add esp,4
-		op_add_esp(4);
+		compiler.codeGenerator.op_add_esp(4);
 	}
 	else if( resultType.IsSingle() ){
 		//fld dword ptr[esp]
-		op_fld_ptr_esp(DEF_SINGLE);
+		compiler.codeGenerator.op_fld_ptr_esp(DEF_SINGLE);
 
 		//sub esp,4
-		op_sub_esp(4);
+		compiler.codeGenerator.op_sub_esp(4);
 
 		//fnstcw word ptr[esp]
@@ -126,19 +126,19 @@
 
 		//add esp,4
-		op_add_esp(4);
+		compiler.codeGenerator.op_add_esp(4);
 	}
 	else if( resultType.Is64() ){
 		//pop eax
-		op_pop(REG_EAX);
+		compiler.codeGenerator.op_pop(REG_EAX);
 
 		//add esp,4
-		op_add_esp(4);
+		compiler.codeGenerator.op_add_esp(4);
 
 		//push eax
-		op_push(REG_EAX);
+		compiler.codeGenerator.op_push(REG_EAX);
 	}
 
 	//pop eax
-	op_pop(REG_EAX);
+	compiler.codeGenerator.op_pop(REG_EAX);
 }
 
@@ -151,5 +151,5 @@
 
 	//pop eax
-	op_pop(REG_EAX);
+	compiler.codeGenerator.op_pop(REG_EAX);
 
 	//push 0
@@ -158,5 +158,5 @@
 
 	//push eax
-	op_push(REG_EAX);
+	compiler.codeGenerator.op_push(REG_EAX);
 
 	//fild qword ptr[esp]
@@ -166,5 +166,5 @@
 
 	//add esp,8
-	op_add_esp(8);
+	compiler.codeGenerator.op_add_esp(8);
 }
 void Opcode_Func_Len(const char *Parameter){
@@ -193,5 +193,5 @@
 
 		//pop eax
-		op_pop(REG_EAX);
+		compiler.codeGenerator.op_pop(REG_EAX);
 
 		return;
@@ -270,5 +270,5 @@
 
 				//mov ecx,eax
-				op_mov_RR(REG_ECX,REG_EAX);
+				compiler.codeGenerator.op_mov_RR(REG_ECX,REG_EAX);
 
 				//参照タイプが整合しているかをチェック
@@ -277,5 +277,5 @@
 				if(type.IsObjectPtr()){
 					//mov ecx,dword ptr[ecx]
-					op_mov_RM(sizeof(long),REG_ECX,REG_ECX,0,MOD_BASE);
+					compiler.codeGenerator.op_mov_RM(sizeof(long),REG_ECX,REG_ECX,0,MOD_BASE);
 				}
 			}
@@ -303,8 +303,8 @@
 		//mov eax,dword ptr[edx+func_index]
 		if(i2*PTR_SIZE<=0x7F){
-			op_mov_RM(sizeof(long),REG_EAX,REG_EDX,i2*PTR_SIZE,MOD_BASE_DISP8);
+			compiler.codeGenerator.op_mov_RM(sizeof(long),REG_EAX,REG_EDX,i2*PTR_SIZE,MOD_BASE_DISP8);
 		}
 		else{
-			op_mov_RM(sizeof(long),REG_EAX,REG_EDX,i2*PTR_SIZE,MOD_BASE_DISP32);
+			compiler.codeGenerator.op_mov_RM(sizeof(long),REG_EAX,REG_EDX,i2*PTR_SIZE,MOD_BASE_DISP32);
 		}
 	}
@@ -331,5 +331,5 @@
 
 	//mov eax,size
-	op_mov_RV( REG_EAX, typeSize );
+	compiler.codeGenerator.op_mov_RV( REG_EAX, typeSize );
 }
 void Opcode_Func_VarPtr( const char *Parameter, Type &resultType, bool isCallOn ){
@@ -362,5 +362,5 @@
 
 		//mov eax,dword ptr[eax]
-		op_mov_RM( sizeof(long), REG_EAX, REG_EAX, 0, MOD_BASE );
+		compiler.codeGenerator.op_mov_RM( sizeof(long), REG_EAX, REG_EAX, 0, MOD_BASE );
 
 		SetError(-120,NULL,cp);
@@ -397,5 +397,5 @@
 
 		//mov eax,dword ptr[eax]
-		op_mov_RM( sizeof(long), REG_EAX, REG_EAX, 0, MOD_BASE );
+		compiler.codeGenerator.op_mov_RM( sizeof(long), REG_EAX, REG_EAX, 0, MOD_BASE );
 	}
 	else{
@@ -416,5 +416,5 @@
 	if(type==DEF_DOUBLE){
 		//pop eax
-		op_pop(REG_EAX);
+		compiler.codeGenerator.op_pop(REG_EAX);
 
 		//fld qword ptr[eax]
@@ -424,5 +424,5 @@
 	else if(type==DEF_SINGLE||type==DEF_DWORD){
 		//pop eax
-		op_pop(REG_EAX);
+		compiler.codeGenerator.op_pop(REG_EAX);
 
 		//mov eax,dword ptr[eax]
@@ -432,15 +432,15 @@
 	else if(type==DEF_QWORD){
 		//pop ecx
-		op_pop(REG_ECX);
+		compiler.codeGenerator.op_pop(REG_ECX);
 
 		//mov eax,dword ptr[ecx]
-		op_mov_RM(sizeof(long),REG_EAX,REG_ECX,0,MOD_BASE);
+		compiler.codeGenerator.op_mov_RM(sizeof(long),REG_EAX,REG_ECX,0,MOD_BASE);
 
 		//mov edx,dword ptr[ecx+sizeof(long)]
-		op_mov_RM(sizeof(long),REG_EDX,REG_ECX,sizeof(long),MOD_BASE_DISP8);
+		compiler.codeGenerator.op_mov_RM(sizeof(long),REG_EDX,REG_ECX,sizeof(long),MOD_BASE_DISP8);
 	}
 	else if(type==DEF_WORD){
 		//pop ebx
-		op_pop(REG_EBX);
+		compiler.codeGenerator.op_pop(REG_EBX);
 
 		//xor eax,eax
@@ -455,5 +455,5 @@
 	else if(type==DEF_BYTE){
 		//pop ebx
-		op_pop(REG_EBX);
+		compiler.codeGenerator.op_pop(REG_EBX);
 
 		//xor eax,eax
